Package be.fgov.ehealth.standards.kmehr.schema.v1

# Class ErrorMyCarenetType

java.lang.Object
be.fgov.ehealth.standards.kmehr.schema.v1.ErrorMyCarenetType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:11:10+02:00", comments="JAXB RI v4.0.5") public class ErrorMyCarenetType extends Object implements Serializable
to specify possible errors

Java class for errorMyCarenetType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="errorMyCarenetType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="cd" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}CD-ERROR-MYCARENET" maxOccurs="unbounded"/>
             <element name="description" type="{http://www.ehealth.fgov.be/standards/kmehr/dt/v1}textType"/>
             <element name="url" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ErrorMyCarenetType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<CDERRORMYCARENET>`
  `getCds()`
  Gets the value of the cds property.
  `TextType`
  `getDescription()`
  Gets the value of the description property.
  `String`
  `getUrl()`
  Gets the value of the url property.
  `void`
  `setDescription(TextType value)`
  Sets the value of the description property.
  `void`
  `setUrl(String value)`
  Sets the value of the url property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ErrorMyCarenetType

    public ErrorMyCarenetType()

- ## Method Details

  - ### getCds

    public List<CDERRORMYCARENET> getCds()
    Gets the value of the cds property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the cds property.

    For example, to add a new item, do as follows:

         getCds().add(newItem);

    Objects of the following type(s) are allowed in the list `CDERRORMYCARENET`

    Returns:
      The value of the cds property.

  - ### getDescription

    public TextType getDescription()
    Gets the value of the description property.
    Returns:
      possible object is `TextType`

  - ### setDescription

    public void setDescription(TextType value)
    Sets the value of the description property.
    Parameters:
      `value` - allowed object is `TextType`

  - ### getUrl

    public String getUrl()
    Gets the value of the url property.
    Returns:
      possible object is `String`

  - ### setUrl

    public void setUrl(String value)
    Sets the value of the url property.
    Parameters:
      `value` - allowed object is `String`